### Virtual Method

# Clutter Constraint update_preferred_size

#### Declaration [src]

    void
    update_preferred_size (
      ClutterConstraint* constraint,
      ClutterActor* actor,
      ClutterOrientation direction,
      float for_size,
      float* minimum_size,
      float* natural_size
    )

#### Description [src]

Asks the `constraint` to update the size request of a `ClutterActor`.

#### Parameters

`actor`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the method.

`direction`

  Type: `ClutterOrientation`

  A `ClutterOrientation`.

`for_size`

  Type: `float`

  The size in the opposite direction.

`minimum_size`

  Type: `float*`

  The minimum size to modify.

  The argument will be modified by the function.

`natural_size`

  Type: `float*`

  The natural size to modify.

  The argument will be modified by the function.